
// C++ Vector and Matrix Algebra Routines from Graphics Gems IV
// Author: Jean-Francois DOUE
// Version 3.1 --- October 1993
// Minor modifications by John Storrs

#ifndef Matrix6Class
#define Matrix6Class

#include <iostream>
#include <stdlib.h>

#include "MathsPrefix.H"

using namespace std;

// 6 x 6 Matrix Class

// JS ADDITIONS

class Matrix6
{
protected:

 Vector6 v[6];

public:

Matrix6();
Matrix6
  (const Vector6& v0, const Vector6& v1, 
   const Vector6& v2, const Vector6& v3,
   const Vector6& v4, const Vector6& v5);
Matrix6(const Matrix6& m);
Vector6& operator [] ( int i);	// indexing
Matrix6 inverse();

};

#endif
